using SoftwareInstallationContracts.BindingModels;
using SoftwareInstallationContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportPackageComponentViewModel> GetSoftwareComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SaveSoftwaresToWordFile(ReportBindingModel model);
        void SavePackageComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
